## org.eclipse.ocl.cst.util
Class CSTSwitch<T>

    java.lang.Object
      org.eclipse.ocl.cst.util.CSTSwitch<T>

    public class CSTSwitch<T>

extends Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `CSTPackage`

Field Summary
`protected static CSTPackage` `modelPackage` The cached model package

Constructor Summary
`CSTSwitch()` Creates an instance of the switch

Method Summary
`T` `caseBooleanLiteralExpCS(BooleanLiteralExpCS object)` Returns the result of interpreting the object as an instance of 'Boolean Literal Exp CS'
`T` `caseCallExpCS(CallExpCS object)` Returns the result of interpreting the object as an instance of 'Call Exp CS'
`T` `caseClassifierContextDeclCS(ClassifierContextDeclCS object)` Returns the result of interpreting the object as an instance of 'Classifier Context Decl CS'
`T` `caseCollectionLiteralExpCS(CollectionLiteralExpCS object)` Returns the result of interpreting the object as an instance of 'Collection Literal Exp CS'
`T` `caseCollectionLiteralPartCS(CollectionLiteralPartCS object)` Returns the result of interpreting the object as an instance of 'Collection Literal Part CS'
`T` `caseCollectionRangeCS(CollectionRangeCS object)` Returns the result of interpreting the object as an instance of 'Collection Range CS'
`T` `caseCollectionTypeCS(CollectionTypeCS object)` Returns the result of interpreting the object as an instance of 'Collection Type CS'
`T` `caseContextDeclCS(ContextDeclCS object)` Returns the result of interpreting the object as an instance of 'Context Decl CS'
`T` `caseCSTNode(CSTNode object)` Returns the result of interpreting the object as an instance of 'Node'
`T` `caseDefCS(DefCS object)` Returns the result of interpreting the object as an instance of 'Def CS'
`T` `caseDefExpressionCS(DefExpressionCS object)` Returns the result of interpreting the object as an instance of 'Def Expression CS'
`T` `caseDerValueCS(DerValueCS object)` Returns the result of interpreting the object as an instance of 'Der Value CS'
`T` `caseEnumLiteralExpCS(EnumLiteralExpCS object)` Returns the result of interpreting the object as an instance of 'Enum Literal Exp CS'
`T` `caseFeatureCallExpCS(FeatureCallExpCS object)` Returns the result of interpreting the object as an instance of 'Feature Call Exp CS'
`T` `caseIfExpCS(IfExpCS object)` Returns the result of interpreting the object as an instance of 'If Exp CS'
`T` `caseInitOrDerValueCS(InitOrDerValueCS object)` Returns the result of interpreting the object as an instance of 'Init Or Der Value CS'
`T` `caseInitValueCS(InitValueCS object)` Returns the result of interpreting the object as an instance of 'Init Value CS'
`T` `caseIntegerLiteralExpCS(IntegerLiteralExpCS object)` Returns the result of interpreting the object as an instance of 'Integer Literal Exp CS'
`T` `caseInvalidLiteralExpCS(InvalidLiteralExpCS object)` Returns the result of interpreting the object as an instance of 'Invalid Literal Exp CS'
`T` `caseInvCS(InvCS object)` Returns the result of interpreting the object as an instance of 'Inv CS'
`T` `caseInvOrDefCS(InvOrDefCS object)` Returns the result of interpreting the object as an instance of 'Inv Or Def CS'
`T` `caseIsMarkedPreCS(IsMarkedPreCS object)` Returns the result of interpreting the object as an instance of 'Is Marked Pre CS'
`T` `caseIterateExpCS(IterateExpCS object)` Returns the result of interpreting the object as an instance of 'Iterate Exp CS'
`T` `caseIteratorExpCS(IteratorExpCS object)` Returns the result of interpreting the object as an instance of 'Iterator Exp CS'
`T` `caseLetExpCS(LetExpCS object)` Returns the result of interpreting the object as an instance of 'Let Exp CS'
`T` `caseLiteralExpCS(LiteralExpCS object)` Returns the result of interpreting the object as an instance of 'Literal Exp CS'
`T` `caseLoopExpCS(LoopExpCS object)` Returns the result of interpreting the object as an instance of 'Loop Exp CS'
`T` `caseMessageExpCS(MessageExpCS object)` Returns the result of interpreting the object as an instance of 'Message Exp CS'
`T` `caseNullLiteralExpCS(NullLiteralExpCS object)` Returns the result of interpreting the object as an instance of 'Null Literal Exp CS'
`T` `caseOCLExpressionCS(OCLExpressionCS object)` Returns the result of interpreting the object as an instance of 'OCL Expression CS'
`T` `caseOCLMessageArgCS(OCLMessageArgCS object)` Returns the result of interpreting the object as an instance of 'OCL Message Arg CS'
`T` `caseOperationCallExpCS(OperationCallExpCS object)` Returns the result of interpreting the object as an instance of 'Operation Call Exp CS'
`T` `caseOperationContextDeclCS(OperationContextDeclCS object)` Returns the result of interpreting the object as an instance of 'Operation Context Decl CS'
`T` `caseOperationCS(OperationCS object)` Returns the result of interpreting the object as an instance of 'Operation CS'
`T` `casePackageDeclarationCS(PackageDeclarationCS object)` Returns the result of interpreting the object as an instance of 'Package Declaration CS'
`T` `casePathNameCS(PathNameCS object)` Returns the result of interpreting the object as an instance of 'Path Name CS'
`T` `casePrePostOrBodyDeclCS(PrePostOrBodyDeclCS object)` Returns the result of interpreting the object as an instance of 'Pre Post Or Body Decl CS'
`T` `casePrimitiveLiteralExpCS(PrimitiveLiteralExpCS object)` Returns the result of interpreting the object as an instance of 'Primitive Literal Exp CS'
`T` `casePrimitiveTypeCS(PrimitiveTypeCS object)` Returns the result of interpreting the object as an instance of 'Primitive Type CS'
`T` `casePropertyContextCS(PropertyContextCS object)` Returns the result of interpreting the object as an instance of 'Property Context CS'
`T` `caseRealLiteralExpCS(RealLiteralExpCS object)` Returns the result of interpreting the object as an instance of 'Real Literal Exp CS'
`T` `caseSimpleNameCS(SimpleNameCS object)` Returns the result of interpreting the object as an instance of 'Simple Name CS'
`T` `caseStateExpCS(StateExpCS object)` Returns the result of interpreting the object as an instance of 'State Exp CS'
`T` `caseStringLiteralExpCS(StringLiteralExpCS object)` Returns the result of interpreting the object as an instance of 'String Literal Exp CS'
`T` `caseTupleLiteralExpCS(TupleLiteralExpCS object)` Returns the result of interpreting the object as an instance of 'Tuple Literal Exp CS'
`T` `caseTupleTypeCS(TupleTypeCS object)` Returns the result of interpreting the object as an instance of 'Tuple Type CS'
`T` `caseTypeCS(TypeCS object)` Returns the result of interpreting the object as an instance of 'Type CS'
`T` `caseUnlimitedNaturalLiteralExpCS(UnlimitedNaturalLiteralExpCS object)` Returns the result of interpreting the object as an instance of 'Unlimited Natural Literal Exp CS'
`T` `caseVariableCS(VariableCS object)` Returns the result of interpreting the object as an instance of 'Variable CS'
`T` `caseVariableExpCS(VariableExpCS object)` Returns the result of interpreting the object as an instance of 'Variable Exp CS'
`T` `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
`protected T` `doSwitch(EClass theEClass, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`T` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected T` `doSwitch(int classifierID, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static CSTPackage modelPackage

  The cached model package

Constructor Detail

### CSTSwitch

    public CSTSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(EClass theEClass,
                         EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(int classifierID,
                         EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseCSTNode

    public T caseCSTNode(CSTNode object)

  Returns the result of interpreting the object as an instance of 'Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Node'.
  See Also:
    `doSwitch(EObject)`

### casePackageDeclarationCS

    public T casePackageDeclarationCS(PackageDeclarationCS object)

  Returns the result of interpreting the object as an instance of 'Package Declaration CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Package Declaration CS'.
  See Also:
    `doSwitch(EObject)`

### caseContextDeclCS

    public T caseContextDeclCS(ContextDeclCS object)

  Returns the result of interpreting the object as an instance of 'Context Decl CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Context Decl CS'.
  See Also:
    `doSwitch(EObject)`

### casePropertyContextCS

    public T casePropertyContextCS(PropertyContextCS object)

  Returns the result of interpreting the object as an instance of 'Property Context CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Property Context CS'.
  See Also:
    `doSwitch(EObject)`

### caseClassifierContextDeclCS

    public T caseClassifierContextDeclCS(ClassifierContextDeclCS object)

  Returns the result of interpreting the object as an instance of 'Classifier Context Decl CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Classifier Context Decl CS'.
  See Also:
    `doSwitch(EObject)`

### caseOperationContextDeclCS

    public T caseOperationContextDeclCS(OperationContextDeclCS object)

  Returns the result of interpreting the object as an instance of 'Operation Context Decl CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Operation Context Decl CS'.
  See Also:
    `doSwitch(EObject)`

### casePrePostOrBodyDeclCS

    public T casePrePostOrBodyDeclCS(PrePostOrBodyDeclCS object)

  Returns the result of interpreting the object as an instance of 'Pre Post Or Body Decl CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Pre Post Or Body Decl CS'.
  See Also:
    `doSwitch(EObject)`

### caseOperationCS

    public T caseOperationCS(OperationCS object)

  Returns the result of interpreting the object as an instance of 'Operation CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Operation CS'.
  See Also:
    `doSwitch(EObject)`

### caseInitOrDerValueCS

    public T caseInitOrDerValueCS(InitOrDerValueCS object)

  Returns the result of interpreting the object as an instance of 'Init Or Der Value CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Init Or Der Value CS'.
  See Also:
    `doSwitch(EObject)`

### caseDerValueCS

    public T caseDerValueCS(DerValueCS object)

  Returns the result of interpreting the object as an instance of 'Der Value CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Der Value CS'.
  See Also:
    `doSwitch(EObject)`

### caseInitValueCS

    public T caseInitValueCS(InitValueCS object)

  Returns the result of interpreting the object as an instance of 'Init Value CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Init Value CS'.
  See Also:
    `doSwitch(EObject)`

### caseInvOrDefCS

    public T caseInvOrDefCS(InvOrDefCS object)

  Returns the result of interpreting the object as an instance of 'Inv Or Def CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Inv Or Def CS'.
  See Also:
    `doSwitch(EObject)`

### caseInvCS

    public T caseInvCS(InvCS object)

  Returns the result of interpreting the object as an instance of 'Inv CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Inv CS'.
  See Also:
    `doSwitch(EObject)`

### caseDefCS

    public T caseDefCS(DefCS object)

  Returns the result of interpreting the object as an instance of 'Def CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Def CS'.
  See Also:
    `doSwitch(EObject)`

### caseDefExpressionCS

    public T caseDefExpressionCS(DefExpressionCS object)

  Returns the result of interpreting the object as an instance of 'Def Expression CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Def Expression CS'.
  See Also:
    `doSwitch(EObject)`

### casePathNameCS

    public T casePathNameCS(PathNameCS object)

  Returns the result of interpreting the object as an instance of 'Path Name CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Path Name CS'.
  See Also:
    `doSwitch(EObject)`

### caseVariableExpCS

    public T caseVariableExpCS(VariableExpCS object)

  Returns the result of interpreting the object as an instance of 'Variable Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Variable Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseSimpleNameCS

    public T caseSimpleNameCS(SimpleNameCS object)

  Returns the result of interpreting the object as an instance of 'Simple Name CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Simple Name CS'.
  See Also:
    `doSwitch(EObject)`

### caseTypeCS

    public T caseTypeCS(TypeCS object)

  Returns the result of interpreting the object as an instance of 'Type CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Type CS'.
  See Also:
    `doSwitch(EObject)`

### casePrimitiveTypeCS

    public T casePrimitiveTypeCS(PrimitiveTypeCS object)

  Returns the result of interpreting the object as an instance of 'Primitive Type CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Primitive Type CS'.
  See Also:
    `doSwitch(EObject)`

### caseTupleTypeCS

    public T caseTupleTypeCS(TupleTypeCS object)

  Returns the result of interpreting the object as an instance of 'Tuple Type CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Tuple Type CS'.
  See Also:
    `doSwitch(EObject)`

### caseCollectionTypeCS

    public T caseCollectionTypeCS(CollectionTypeCS object)

  Returns the result of interpreting the object as an instance of 'Collection Type CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Collection Type CS'.
  See Also:
    `doSwitch(EObject)`

### caseOCLExpressionCS

    public T caseOCLExpressionCS(OCLExpressionCS object)

  Returns the result of interpreting the object as an instance of 'OCL Expression CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'OCL Expression CS'.
  See Also:
    `doSwitch(EObject)`

### caseLetExpCS

    public T caseLetExpCS(LetExpCS object)

  Returns the result of interpreting the object as an instance of 'Let Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Let Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseIfExpCS

    public T caseIfExpCS(IfExpCS object)

  Returns the result of interpreting the object as an instance of 'If Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'If Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseMessageExpCS

    public T caseMessageExpCS(MessageExpCS object)

  Returns the result of interpreting the object as an instance of 'Message Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Message Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseOCLMessageArgCS

    public T caseOCLMessageArgCS(OCLMessageArgCS object)

  Returns the result of interpreting the object as an instance of 'OCL Message Arg CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'OCL Message Arg CS'.
  See Also:
    `doSwitch(EObject)`

### caseVariableCS

    public T caseVariableCS(VariableCS object)

  Returns the result of interpreting the object as an instance of 'Variable CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Variable CS'.
  See Also:
    `doSwitch(EObject)`

### caseLiteralExpCS

    public T caseLiteralExpCS(LiteralExpCS object)

  Returns the result of interpreting the object as an instance of 'Literal Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Literal Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseEnumLiteralExpCS

    public T caseEnumLiteralExpCS(EnumLiteralExpCS object)

  Returns the result of interpreting the object as an instance of 'Enum Literal Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Enum Literal Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseCollectionLiteralExpCS

    public T caseCollectionLiteralExpCS(CollectionLiteralExpCS object)

  Returns the result of interpreting the object as an instance of 'Collection Literal Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Collection Literal Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseTupleLiteralExpCS

    public T caseTupleLiteralExpCS(TupleLiteralExpCS object)

  Returns the result of interpreting the object as an instance of 'Tuple Literal Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Tuple Literal Exp CS'.
  See Also:
    `doSwitch(EObject)`

### casePrimitiveLiteralExpCS

    public T casePrimitiveLiteralExpCS(PrimitiveLiteralExpCS object)

  Returns the result of interpreting the object as an instance of 'Primitive Literal Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Primitive Literal Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseIntegerLiteralExpCS

    public T caseIntegerLiteralExpCS(IntegerLiteralExpCS object)

  Returns the result of interpreting the object as an instance of 'Integer Literal Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Integer Literal Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseUnlimitedNaturalLiteralExpCS

    public T caseUnlimitedNaturalLiteralExpCS(UnlimitedNaturalLiteralExpCS object)

  Returns the result of interpreting the object as an instance of 'Unlimited Natural Literal Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Unlimited Natural Literal Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseRealLiteralExpCS

    public T caseRealLiteralExpCS(RealLiteralExpCS object)

  Returns the result of interpreting the object as an instance of 'Real Literal Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Real Literal Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseStringLiteralExpCS

    public T caseStringLiteralExpCS(StringLiteralExpCS object)

  Returns the result of interpreting the object as an instance of 'String Literal Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'String Literal Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseBooleanLiteralExpCS

    public T caseBooleanLiteralExpCS(BooleanLiteralExpCS object)

  Returns the result of interpreting the object as an instance of 'Boolean Literal Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Boolean Literal Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseCollectionLiteralPartCS

    public T caseCollectionLiteralPartCS(CollectionLiteralPartCS object)

  Returns the result of interpreting the object as an instance of 'Collection Literal Part CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Collection Literal Part CS'.
  See Also:
    `doSwitch(EObject)`

### caseCollectionRangeCS

    public T caseCollectionRangeCS(CollectionRangeCS object)

  Returns the result of interpreting the object as an instance of 'Collection Range CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Collection Range CS'.
  See Also:
    `doSwitch(EObject)`

### caseCallExpCS

    public T caseCallExpCS(CallExpCS object)

  Returns the result of interpreting the object as an instance of 'Call Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Call Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseLoopExpCS

    public T caseLoopExpCS(LoopExpCS object)

  Returns the result of interpreting the object as an instance of 'Loop Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Loop Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseIteratorExpCS

    public T caseIteratorExpCS(IteratorExpCS object)

  Returns the result of interpreting the object as an instance of 'Iterator Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Iterator Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseIterateExpCS

    public T caseIterateExpCS(IterateExpCS object)

  Returns the result of interpreting the object as an instance of 'Iterate Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Iterate Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseFeatureCallExpCS

    public T caseFeatureCallExpCS(FeatureCallExpCS object)

  Returns the result of interpreting the object as an instance of 'Feature Call Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Feature Call Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseOperationCallExpCS

    public T caseOperationCallExpCS(OperationCallExpCS object)

  Returns the result of interpreting the object as an instance of 'Operation Call Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Operation Call Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseIsMarkedPreCS

    public T caseIsMarkedPreCS(IsMarkedPreCS object)

  Returns the result of interpreting the object as an instance of 'Is Marked Pre CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Is Marked Pre CS'.
  See Also:
    `doSwitch(EObject)`

### caseStateExpCS

    public T caseStateExpCS(StateExpCS object)

  Returns the result of interpreting the object as an instance of 'State Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'State Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseNullLiteralExpCS

    public T caseNullLiteralExpCS(NullLiteralExpCS object)

  Returns the result of interpreting the object as an instance of 'Null Literal Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Null Literal Exp CS'.
  See Also:
    `doSwitch(EObject)`

### caseInvalidLiteralExpCS

    public T caseInvalidLiteralExpCS(InvalidLiteralExpCS object)

  Returns the result of interpreting the object as an instance of 'Invalid Literal Exp CS'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Invalid Literal Exp CS'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.